org.keycloak.federation.sssd

## Class SSSDFederationProviderFactory

- java.lang.Object
- - org.keycloak.federation.sssd.SSSDFederationProviderFactory

- All Implemented Interfaces:
    ComponentFactory<SSSDFederationProvider,UserStorageProvider>, ConfiguredProvider, EnvironmentDependentProviderFactory, ProviderFactory<UserStorageProvider>, UserStorageProviderFactory<SSSDFederationProvider>

      public class SSSDFederationProviderFactory
      extends Object
      implements UserStorageProviderFactory<SSSDFederationProvider>, EnvironmentDependentProviderFactory

  Version:
    $Revision: 1 $
  Author:
    Bruno Oliveira

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSSDFederationProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `SSSDFederationProvider` | `create(KeycloakSession session, ComponentModel model)` called per Keycloak transaction.
    `protected PAMAuthenticator` | `createPAMAuthenticator(String username, String... factors)`
    `String` | `getId()` This is the name of the provider and will be showed in the admin console as an option.
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `boolean` | `isSupported()`
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.storage.UserStorageProviderFactory

      `getCommonProviderConfigProperties, getConfigProperties, getHelpText, getTypeMetadata, onCreate, validateConfiguration`

    - ### Methods inherited from interface org.keycloak.component.ComponentFactory

      `create, onUpdate, preRemove`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Constructor Detail

    - #### SSSDFederationProviderFactory

          public SSSDFederationProviderFactory()

  - ### Method Detail

    - #### getId

          public String getId()

      Description copied from interface: `UserStorageProviderFactory`
      This is the name of the provider and will be showed in the admin console as an option.
      Specified by:
        `getId` in interface `ProviderFactory<UserStorageProvider>`
      Specified by:
        `getId` in interface `UserStorageProviderFactory<SSSDFederationProvider>`

    - #### create

          public SSSDFederationProvider create(KeycloakSession session,
                                               ComponentModel model)

      Description copied from interface: `UserStorageProviderFactory`
      called per Keycloak transaction.
      Specified by:
        `create` in interface `ComponentFactory<SSSDFederationProvider,UserStorageProvider>`
      Specified by:
        `create` in interface `UserStorageProviderFactory<SSSDFederationProvider>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<UserStorageProvider>`
      Specified by:
        `init` in interface `UserStorageProviderFactory<SSSDFederationProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<UserStorageProvider>`
      Specified by:
        `postInit` in interface `UserStorageProviderFactory<SSSDFederationProvider>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<UserStorageProvider>`
      Specified by:
        `close` in interface `UserStorageProviderFactory<SSSDFederationProvider>`

    - #### createPAMAuthenticator

          protected PAMAuthenticator createPAMAuthenticator(String username,
                                                            String... factors)

    - #### isSupported

          public boolean isSupported()

      Specified by:
        `isSupported` in interface `EnvironmentDependentProviderFactory`
      Returns:
        `true` if the provider is supported and should be available, `false` otherwise

Copyright © 2020 JBoss by Red Hat. All rights reserved.